|  | Home · All Classes · All Functions · Overviews

# Selection Class Reference
(QAbstractTextDocumentLayout::Selection)
[QtGui module]

The QAbstractTextDocumentLayout::Selection class is a convenience class defining the parameters of a selection. More...

     #include <QAbstractTextDocumentLayout>

- List of all members, including inherited members

## Public Variables

QTextCursor | cursor
QTextCharFormat | format

## Detailed Description

The QAbstractTextDocumentLayout::Selection class is a convenience class defining the parameters of a selection.

A selection can be used to specify a part of a document that should be highlighted when drawing custom layouts for QTextDocuments with the QAbstractTextDocumentLayout::draw() function. It is specified using cursor and a format.

See also QAbstractTextDocumentLayout and PaintContext.

## Member Variable Documentation

### QTextCursor Selection::cursor

This variable holds the selection's cursor.

The default value is a null cursor.

### QTextCharFormat Selection::format

This variable holds the format of the selection.

The default value is QTextFormat::InvalidFormat.